{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#bwa-index.cwl",
            "label": "bwa-index-0.7.4--ha92aebf_0",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/bwa:0.7.4--ha92aebf_0"
                }
            ],
            "baseCommand": [
                "bwa",
                "index"
            ],
            "inputs": [
                {
                    "id": "#bwa-index.cwl/bwa-index-0.7.4--ha92aebf_0/fa",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "inputBinding": {
                        "position": 2
                    },
                    "doc": "FastA file for reference genome"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "prefix": "-p",
                    "valueFrom": "$(inputs.fa.basename)"
                }
            ],
            "outputs": [
                {
                    "id": "#bwa-index.cwl/bwa-index-0.7.4--ha92aebf_0/amb",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.fa.basename).amb"
                    }
                },
                {
                    "id": "#bwa-index.cwl/bwa-index-0.7.4--ha92aebf_0/ann",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.fa.basename).ann"
                    }
                },
                {
                    "id": "#bwa-index.cwl/bwa-index-0.7.4--ha92aebf_0/bwt",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.fa.basename).bwt"
                    }
                },
                {
                    "id": "#bwa-index.cwl/bwa-index-0.7.4--ha92aebf_0/pac",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.fa.basename).pac"
                    }
                },
                {
                    "id": "#bwa-index.cwl/bwa-index-0.7.4--ha92aebf_0/sa",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.fa.basename).sa"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#download-GRCh38-alt.cwl",
            "label": "download-GRCh38-alt",
            "hints": [],
            "baseCommand": [
                "wget"
            ],
            "inputs": [],
            "outputs": [
                {
                    "id": "#download-GRCh38-alt.cwl/download-GRCh38-alt/alt",
                    "type": "File",
                    "outputBinding": {
                        "glob": "GRCh38_full_analysis_set_plus_decoy_hla.fa.alt"
                    }
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "http://ftp.1000genomes.ebi.ac.uk/vol1/ftp/technical/reference/GRCh38_reference_genome/GRCh38_full_analysis_set_plus_decoy_hla.fa.alt"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#download-GRCh38-fa.cwl",
            "label": "download-GRCh38-fa",
            "hints": [],
            "baseCommand": [
                "wget"
            ],
            "inputs": [],
            "outputs": [
                {
                    "id": "#download-GRCh38-fa.cwl/download-GRCh38-fa/ref",
                    "type": "File",
                    "format": "http://edamontology.org/format_1929",
                    "outputBinding": {
                        "glob": "GRCh38_full_analysis_set_plus_decoy_hla.fa"
                    }
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "http://ftp.1000genomes.ebi.ac.uk/vol1/ftp/technical/reference/GRCh38_reference_genome/GRCh38_full_analysis_set_plus_decoy_hla.fa"
                }
            ]
        },
        {
            "class": "Workflow",
            "id": "#main",
            "label": "download-GRCh38",
            "inputs": [],
            "steps": [
                {
                    "label": "bwa-index",
                    "doc": "Create INDEX for bwa",
                    "run": "#bwa-index.cwl",
                    "in": [
                        {
                            "source": "#main/download-fa/ref",
                            "id": "#main/bwa-index/fa"
                        }
                    ],
                    "out": [
                        "#main/bwa-index/amb",
                        "#main/bwa-index/ann",
                        "#main/bwa-index/bwt",
                        "#main/bwa-index/pac",
                        "#main/bwa-index/sa"
                    ],
                    "id": "#main/bwa-index"
                },
                {
                    "label": "download-alt",
                    "doc": "Download reference ALT file",
                    "run": "#download-GRCh38-alt.cwl",
                    "in": [],
                    "out": [
                        "#main/download-alt/alt"
                    ],
                    "id": "#main/download-alt"
                },
                {
                    "label": "download-fa",
                    "doc": "Download reference FastA file",
                    "run": "#download-GRCh38-fa.cwl",
                    "in": [],
                    "out": [
                        "#main/download-fa/ref"
                    ],
                    "id": "#main/download-fa"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/download-alt/alt",
                    "id": "#main/alt"
                },
                {
                    "type": "File",
                    "outputSource": "#main/bwa-index/amb",
                    "id": "#main/amb"
                },
                {
                    "type": "File",
                    "outputSource": "#main/bwa-index/ann",
                    "id": "#main/ann"
                },
                {
                    "type": "File",
                    "outputSource": "#main/bwa-index/bwt",
                    "id": "#main/bwt"
                },
                {
                    "type": "File",
                    "outputSource": "#main/bwa-index/pac",
                    "id": "#main/pac"
                },
                {
                    "type": "File",
                    "outputSource": "#main/download-fa/ref",
                    "id": "#main/ref"
                },
                {
                    "type": "File",
                    "outputSource": "#main/bwa-index/sa",
                    "id": "#main/sa"
                }
            ]
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "edam": "http://edamontology.org/"
    }
}
